# Formatted content (collapsible) - RollableTextContent

{% hint style="info" %}
Availability of the functionality depends on the license and may not be available in all deployments.
{% endhint %}

Component used to present an artifact **Content** with a collapse/expand option (used e.g. to display legal notices).

![](/files/5f9a0d28646d15a82d9b690f584a06762cf6cc3d)

## Component properties

| Eximee Designer property                                         | Attribute name in the Source | Description                                                                                                                                                                                                                                                 |
| ---------------------------------------------------------------- | ---------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Field height** (section **Basic properties**)                  | contentHeight                | Component height (default set to 200). If all the text does not fit in the component, a vertical scrollbar is inserted. Availability of the functionality depends on the license and may not be available in all implementations.                           |
| **Field title** (section **Basic properties**)                   | contentTitle                 | Title displayed at the top of the component (empty by default). Clicking the title collapses/expands the component content.                                                                                                                                 |
| **Presentation of field content** (section **Basic properties**) | contentDefaultVisible        | Displaying the component content (by default the property is checked - value set to "true"). If the property is unchecked (value "false"), the component content is collapsed and will be displayed after clicking the expand arrow or the component title. |

> More information about component properties: [Common component properties](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

If the inserted artifact **Content** used the expression **/more/**, a "Show more" button will be displayed in the component at this point (clicking it will display the hidden part of the content).

## Attaching the content source in the component

To display content in the component, you need to specify a previously created artifact **Content** (artifact creation is described in: [Creating and attaching the Content artifact](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-textcontent/tworzenie-i-podpiecie-artefaktu-tresc.md)).

{% stepper %}
{% step %}

#### Select the component

After selecting the component **Formatted content (collapsible)** go to the **Properties** section **Interactions**.
{% endstep %}

{% step %}

#### Select an external data source

In the field **EXTERNAL DATA SOURCE** click **Select service** and connect the service *TextContentService* (description of connecting the service: [Example of attaching the service in the component](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/zasilanie-wartosciami-z-zewnetrznych-zrodel/przyklad-podpiecia-w-komponencie-uslugi.md)).
{% endstep %}

{% step %}

#### Specify the input parameter and output mappings

As the input parameter "artifact", after clicking the option **Select component or constant** specify the appropriate artifact **Content**and in the output parameters map the relevant attributes to the service output parameters.
{% endstep %}
{% endstepper %}

![Illustration 1. Example appearance of the component in the application (content collapsed)](/files/e74445568d33b105364d76e4857c9cfc1c13bf1a)

![Illustration 2. Example appearance of the component in the application (content expanded)](/files/14e199656688723034c5388af4b88848a924db11)

{% hint style="info" %}
Demo application: demoRollableTextContent
{% endhint %}

{% hint style="info" %}
♿WCAG: [WCAG best practices for low-code dev](/documentation/documentation-en/budowanie-aplikacji/proces-biznesowy/tworzenie-procesu-biznesowego-w-bpmn-2.0/dobre-praktyki.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/tresc-formatowana-zwijana-rollabletextcontent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
